Opened 6 years ago

Last modified 7 months ago

#6802 needinfo defect

Contacts and Transports are messed-up

Reported by: Darlan Owned by:
Priority: high Milestone:
Component: roster Version: 0.15
Severity: critical Keywords: config configuration roster twitter statusnet identi.ca identica
Cc: Blocked By:
Blocking: OS: Unix

Description

Bug description

Contacts are missing from the roster and contacts like identica and twitter are appearing as Not in Roster

Steps to reproduce

I'm using the Jabber server of http://jabme.de/

Software versions

OS version: Salix OS 13.1.2 (Slackware 13.1.0 based)
GTK version: 2.18.9
PyGTK version: 2.16.0
Gajim version: 0.13.4
Gajim version: 0.14.1


Some contacts and transports are not appear in the roster (it is very scary)

I had a private conversation with dicson and he proposed to make a new configuration file, and it did worked

$ gajim -p test_config


http://www.gajim.org/muc_logs/gajim@conference.gajim.org/2011/02/06.html#19:44:56.363980

But after logging in and out and reentering the password (and maybe other actions that I do not remember that I have done) the original configuration file (just running the command gajim) everything worked fine again.

This bug has occurred again.

http://www.gajim.org/muc_logs/gajim@conference.gajim.org/2011/02/14.html#19:20:43.405394

When I did noticed the bug (at the very first glance) I have copied the file ~/.config/gajim/config

I named the copy as config.1 and I setup that file to be Read-Only

I have closed and opened Gajim over and over (with the normal command gajim) and the bug continued to occur one time after another. I then ran the command

$ gajim -p test_config


Funnily enough, everything went fine!?
And then I ran

$ gajim -p 1


Which is using the file ~/.config/gajim/config.1 And everything was fine too.
I then ran

$ gajim


And everything was fine as well.

The configuration file is not the problem, as it seems.

Attachments (4)

54 PM.png (56.1 KB) - added by Darlan 6 years ago.
Screenshot - 02062011 - 06:11:54 PM.png
21 PM.png (57.7 KB) - added by Darlan 6 years ago.
Screenshot - 02062011 - 06:20:21 PM.png
gajim.png (59.8 KB) - added by Darlan 6 years ago.
<gajim.png> Monday, February 14, 2011
psi.png (46.4 KB) - added by Darlan 6 years ago.
<psi.png> Monday, February 14, 2011

Download all attachments as: .zip

Change History (20)

Changed 6 years ago by Darlan

Screenshot - 02062011 - 06:11:54 PM.png

Changed 6 years ago by Darlan

Screenshot - 02062011 - 06:20:21 PM.png

Changed 6 years ago by Darlan

<gajim.png> Monday, February 14, 2011

Changed 6 years ago by Darlan

<psi.png> Monday, February 14, 2011

comment:1 Changed 6 years ago by Darlan

http://www.gajim.org/muc_logs/gajim@conference.gajim.org/2011/02/06.html#17:28:08.434776

[17:28:08] Darlan joins the room
[17:28:33] <Darlan> Bug! I'm using Psi
[17:28:44] <Darlan> :P
[17:31:20] <Darlan> I got a problem: after adding ~20 MUCs (~50 Bookmarks overhaul) I now can't see 2 of my transports (I see only 9 of 11, most of the are IRC) I can't see Identi.ca and ICQ and some of my contacts (even Jabber contacts)
[17:31:34] <Darlan> But I see everything with Psi (currently)
[17:32:44] <Darlan> Gajim 0.13.4

No problems with Psi.

comment:2 Changed 6 years ago by Darlan

My password has a non-latin characters only (Hebrew) + a one #

comment:3 follow-up: Changed 6 years ago by Darlan

A Bookmark that MAY BE the cause to the trouble (it's a wild guess)

Title: 44ab1644-ee76-48de-8a87-237d1339244f
Nickname: Darlan
Room: 44ab1644-ee76-48de-8a87-237d1339244f
Server: conference.jabme.de

Links
http://www.gajim.org/muc_logs/gajim@conference.gajim.org/2011/02/06.html#17:31:20.480877
http://www.gajim.org/muc_logs/gajim@conference.gajim.org/2011/02/06.html#21:05:56.509667

comment:4 in reply to: ↑ 3 ; follow-up: Changed 6 years ago by Darlan

Replying to Darlan:

A Bookmark that MAY BE the cause to the trouble (it's a wild guess)

Title: 44ab1644-ee76-48de-8a87-237d1339244f
Nickname: Darlan
Room: 44ab1644-ee76-48de-8a87-237d1339244f
Server: conference.jabme.de

Links
http://www.gajim.org/muc_logs/gajim@conference.gajim.org/2011/02/06.html#17:31:20.480877
http://www.gajim.org/muc_logs/gajim@conference.gajim.org/2011/02/06.html#21:05:56.509667

I have deleted the above bookmark and the bug happened again.
I solved it in the same way and that is:

A. Closed Gajim

B. Run the command:

$ gajim -p 1

C. Closed Gajim

D. Run the command:

$ gajim

Note:

$ ls .config/gajim/ -1
config
config.1
config.test_config

comment:5 in reply to: ↑ 4 Changed 6 years ago by Darlan

Replying to Darlan:

Replying to Darlan:

I have done no changes at all and it happened again

Same solution A - D (above)

comment:6 Changed 5 years ago by Darlan

I believe that the fault is on Identi.ca/StatusNet and Twitter, due to the flood of messages/notices every time the account is being logged in.

comment:7 Changed 5 years ago by Darlan

  • Keywords twitter statusnet identi.ca identica added

comment:8 Changed 5 years ago by asterix

I cannot reproduce, even with your account :/

comment:9 Changed 5 years ago by asterix

  • Status changed from new to needinfo

can you?

comment:10 Changed 5 years ago by Darlan

No, all I can do is to wait for the (random) incident to happen once again. As said, probably because of the batch messaging from the Identi.ca and the Twitter contacts when Gajim is finishing to login to a Jabber.

Edit: Maybe I need to add to this account the ICQ and MSN transports and to add one or two Jabber contacts?

Last edited 5 years ago by Darlan (previous) (diff)

comment:11 Changed 5 years ago by asterix

I don't see why. We get roster before any message is received, so I see no reason for that to happen.

comment:12 Changed 5 years ago by Darlan

  • Version changed from 0.14.1 to 0.14.4

It happened again, no change.

comment:13 Changed 4 years ago by Darlan

  • Keywords changed from config, configuration, roster,twitter,statusnet,identi.ca,identica to config configuration roster twitter statusnet identi.ca identica
  • Version changed from 0.14.4 to 0.15

Are there any news? Did you kept on testing it with the account that I have gave to you?

It does not occurs every time, it is rare and random.

I assume that it is because of the flood of unread messages from the Indenti.ca/StatusNet/Twitter contacts.

comment:14 Changed 9 months ago by Darlan

Could be related to #7230

comment:15 Changed 7 months ago by asterix

Does it help if you delete the content of the accounts -> ACCOUNT -> roster_version options in ACE and restart Gajim?

comment:16 Changed 7 months ago by Darlan

I don't know. To reproduce this bug, I need to have a contact or more to flood messages once Gajim connects to account. I need to find SatusNet (today it is called GNUSocial) servers that have XMPP bot available.

Note: See TracTickets for help on using tickets.